Name: gvrng		
Version: 4.4	
Release: 17%{?dist}
Summary: A robot driving game designed to introduce to kids to programming	

Group: Amusements/Games
License: GPLv2+
URL: http://gvr.sourceforge.net		
Source0: http://downloads.sourceforge.net/project/gvr/GvR%20GTK/4.4/GvRng_4.4.tgz
Source1: gvrng
Source2: gvrng.desktop

BuildArch: noarch
BuildRequires: python2-devel gettext desktop-file-utils ImageMagick

Requires: pygtk2-libglade pygtksourceview

Patch0: gvrng-py-exec.patch
Patch1: gvrng-licence-format.patch
Patch2: gvrng-bindtextdomain.patch

%description
Guido Van Robot is a small, python based programming environment in which
students attempt to guide a small robot (styled after a LOGO environment), out
of various mazes using a python based programming language

%prep
%setup -q -n GvRng_4.4
rm gui-gtk/*.{bak,org}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
mkdir -p %{buildroot}/%{python_sitelib}/GvRng_4.4
mkdir -p %{buildroot}/%{_mandir}/man1/
mkdir -p %{buildroot}/usr/share/doc/gvrng
mkdir -p %{buildroot}%{_datadir}/gvrng
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}/%{_datadir}/pixmaps/

cp -r ./* %{buildroot}/%{python_sitelib}/GvRng_4.4
mv %{buildroot}%{python_sitelib}/GvRng_4.4 %{buildroot}%{python_sitelib}/gvrng
mv %{buildroot}%{python_sitelib}/gvrng/docs/gvrng.1.gz %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{python_sitelib}/gvrng/docs/* %{buildroot}/usr/share/doc/gvrng
rmdir %{buildroot}%{python_sitelib}/gvrng/docs
ln -s %{_docdir}/gvrng %{buildroot}%{python_sitelib}/gvrng/docs
mv %{buildroot}%{python_sitelib}/gvrng/Changelog %{buildroot}/usr/share/doc/gvrng
mv %{buildroot}%{python_sitelib}/gvrng/copyright %{buildroot}/usr/share/doc/gvrng
mv %{buildroot}%{python_sitelib}/gvrng/GPL-2 %{buildroot}/usr/share/doc/gvrng
install -m 0755 %{SOURCE1} %{buildroot}/%{_bindir}
convert -size 48x48 ./bitmaps/robot.svg \
                    %{buildroot}/%{_datadir}/pixmaps/gvrng.png
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications/ %{SOURCE2}

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
BugReportURL: https://sourceforge.net/p/gvr/bugs/33/
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">gvrng.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>a game to learn the basics of programming</summary>
  <description>
    <p>
      Guido van Robot is an educational game where players use a basic programming
      language to control a robotic triangle through streets and press buttons.
      The simplistic language that is used helps students understand the basics
      of programming including command sequences, conditional statements, loops,
      and abstracting procedures.
    </p>
  </description>
  <url type="homepage">http://gvr.sourceforge.net</url>
  <screenshots>
    <screenshot type="default">http://gvr.sourceforge.net/screen_shots/gnuLinuxGvR.png</screenshot>
  </screenshots>
</application>
EOF

%find_lang %{name}

%files -f %{name}.lang
%dir %{python_sitelib}/gvrng
%{python_sitelib}/gvrng/*
%doc %{_docdir}/gvrng
%dir %{_datadir}/gvrng
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_bindir}/*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-14
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 4.4-11
- Add an AppData file for the software center

* Wed Aug 27 2014 Neil Horman <nhorman@tuxdriver.com> - 4.4-10
- Fixed locale location (bz 1133237)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr  5 2014 Ville Skyttä <ville.skytta@iki.fi> - 4.4-8
- Don't ship editor backup files
- Fix bogus date in %%changelog

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Neil Horman <nhorman@tuxdriver.com> - 4.4-6
- Fixed BuildRequires (bz914071)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Neil Horman <nhorman@tuxdriver.com> - 4.4-4
- Fixed pygtksourceview dep (bz895719)
- Fixed desktop-file install issue (bz895720)

* Wed Dec 26 2012 Neil Horman <nhorman@tuxdriver.com> - 4.4-3
- Removed clean section (no epel packaging)
- Removed redundant python2 Requires

* Fri Dec 21 2012 Neil Horman <nhorman@tuxdriver.com> - 4.4-2
- Fixed up intiial issued found during package review

* Wed Dec 05 2012 Neil Horman <nhorman@tuxdriver.com> - 4.4-1
- Initial build

